1

Topic: iRedMail Broken Packages Error -- Tried to Reinstall Ubuntu 3 times.

==== Required information ====
- iRedMail version: 8.0.6
- Store mail accounts in which backend (LDAP/MySQL/PGSQL): MySQL
- Linux/BSD distribution name and version: Ubuntu 12.04 LTS
- Related log if you're reporting an issue:


< INFO > Installing package(s): mysql-server mysql-client postfix-mysql libapache2-mod-auth-mysql libapache2-mod-php5 php5-mysql postfix postfix-pcre postfix-cluebringer postfix-cluebringer-mysql dovecot-imapd dovecot-pop3d dovecot-managesieved dovecot-sieve dovecot-mysql amavisd-new libcrypt-openssl-rsa-perl libmail-dkim-perl clamav-freshclam clamav-daemon spamassassin altermime arj zoo nomarch cpio lzop cabextract p7zip rpm unrar-free ripole libmail-spf-perl python-mysqldb libapache2-mod-wsgi python-jinja2 python-netifaces python-webpy awstats bzip2 acl patch cron tofrodos logwatch
Reading package lists... Done
Building dependency tree
Reading state information... Done
bzip2 is already the newest version.
cpio is already the newest version.
patch is already the newest version.
cron is already the newest version.
mysql-server is already the newest version.
php5-mysql is already the newest version.
libapache2-mod-php5 is already the newest version.
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
libapache2-mod-auth-mysql : Depends: apache2.2-common (>= 2.2.3-3) but it is not going to be installed
E: Unable to correct problems, you have held broken packages.
< ERROR > Installation failed, please check the terminal output.
====

I got to the last step of setting up iRedMail following DigitalOcean's iRedMail installation tutorial: https://www.digitalocean.com/community/ … -12-04-x64

The issue is that after getting to the last step, I receive the above error in terminal. How do I fix this issue?

Thanks for your time.

2

Re: iRedMail Broken Packages Error -- Tried to Reinstall Ubuntu 3 times.

As you can see on Ubuntu web site, Ubuntu 12.04 provides package 'apache2.2-common':
http://packages.ubuntu.com/precise/apache2.2-common

Do you have correct apt repositories for Ubuntu in /etc/apt/sources.list?

3

Re: iRedMail Broken Packages Error -- Tried to Reinstall Ubuntu 3 times.

Hello Zhang and thanks for the reply. If I need to upgrade Apache but want to stay with Ubuntu 12.04, does that mean I can't use iRedMail?

Here's my sources.list:

# deb cdrom:[Ubuntu-Server 12.04.3 LTS _Precise Pangolin_ - Release i386 (20130820.2)]/ precise main restricted

# See http://help.ubuntu.com/community/UpgradeNotes for how to upgrade to
# newer versions of the distribution.
## DigitalOcean mirrors for blazing speed!
deb http://mirrors.digitalocean.com/ubuntu/ precise main restricted
deb-src http://mirrors.digitalocean.com/ubuntu/ precise main restricted
# deb http://us.archive.ubuntu.com/ubuntu/ precise main restricted
# deb-src http://us.archive.ubuntu.com/ubuntu/ precise main restricted

## Major bug fix updates produced after the final release of the
## distribution.
## DigitalOcean mirrors for blazing speed!
deb http://mirrors.digitalocean.com/ubuntu/ precise-updates main restricted
deb-src http://mirrors.digitalocean.com/ubuntu/ precise-updates main restricted
# deb http://us.archive.ubuntu.com/ubuntu/ precise-updates main restricted
# deb-src http://us.archive.ubuntu.com/ubuntu/ precise-updates main restricted

## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
## team. Also, please note that software in universe WILL NOT receive any
## review or updates from the Ubuntu security team.
## DigitalOcean mirrors for blazing speed!
deb http://mirrors.digitalocean.com/ubuntu/ precise universe
deb-src http://mirrors.digitalocean.com/ubuntu/ precise universe
deb http://mirrors.digitalocean.com/ubuntu/ precise-updates universe
deb-src http://mirrors.digitalocean.com/ubuntu/ precise-updates universe
# deb http://us.archive.ubuntu.com/ubuntu/ precise universe
# deb-src http://us.archive.ubuntu.com/ubuntu/ precise universe
# deb http://us.archive.ubuntu.com/ubuntu/ precise-updates universe
# deb-src http://us.archive.ubuntu.com/ubuntu/ precise-updates universe

## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
## team, and may not be under a free licence. Please satisfy yourself as to
## your rights to use the software. Also, please note that software in
## multiverse WILL NOT receive any review or updates from the Ubuntu
## security team.
## DigitalOcean mirrors for blazing speed!
deb http://mirrors.digitalocean.com/ubuntu/ precise multiverse
deb-src http://mirrors.digitalocean.com/ubuntu/ precise multiverse
deb http://mirrors.digitalocean.com/ubuntu/ precise-updates multiverse
deb-src http://mirrors.digitalocean.com/ubuntu/ precise-updates multiverse
# deb http://us.archive.ubuntu.com/ubuntu/ precise multiverse
# deb-src http://us.archive.ubuntu.com/ubuntu/ precise multiverse
# deb http://us.archive.ubuntu.com/ubuntu/ precise-updates multiverse
# deb-src http://us.archive.ubuntu.com/ubuntu/ precise-updates multiverse

## N.B. software from this repository may not have been tested as
## extensively as that contained in the main release, although it includes
## newer versions of some applications which may provide useful features.
## Also, please note that software in backports WILL NOT receive any review
## or updates from the Ubuntu security team.
## DigitalOcean mirrors for blazing speed!
deb http://mirrors.digitalocean.com/ubuntu/ precise-backports main restricted universe multiverse
deb-src http://mirrors.digitalocean.com/ubuntu/ precise-backports main restricted universe multiverse
# deb http://us.archive.ubuntu.com/ubuntu/ precise-backports main restricted universe multiverse
# deb-src http://us.archive.ubuntu.com/ubuntu/ precise-backports main restricted universe multiverse

## DigitalOcean mirrors for blazing speed!
deb http://mirrors.digitalocean.com/ubuntu/ precise-security main restricted
deb-src http://mirrors.digitalocean.com/ubuntu/ precise-security main restricted
deb http://mirrors.digitalocean.com/ubuntu/ precise-security universe
deb-src http://mirrors.digitalocean.com/ubuntu/ precise-security universe
deb http://mirrors.digitalocean.com/ubuntu/ precise-security multiverse
deb-src http://mirrors.digitalocean.com/ubuntu/ precise-security multiverse
# deb http://security.ubuntu.com/ubuntu precise-security main restricted
# deb-src http://security.ubuntu.com/ubuntu precise-security main restricted
# deb http://security.ubuntu.com/ubuntu precise-security universe
# deb-src http://security.ubuntu.com/ubuntu precise-security universe
# deb http://security.ubuntu.com/ubuntu precise-security multiverse
# deb-src http://security.ubuntu.com/ubuntu precise-security multiverse

## Uncomment the following two lines to add software from Canonical's
## 'partner' repository.
## This software is not part of Ubuntu, but is offered by Canonical and the
## respective vendors as a service to Ubuntu users.
# deb http://archive.canonical.com/ubuntu precise partner
# deb-src http://archive.canonical.com/ubuntu precise partner

## Uncomment the following two lines to add software from Ubuntu's
## 'extras' repository.
## This software is not part of Ubuntu, but is offered by third-party
## developers who want to ship their latest software.
# deb http://extras.ubuntu.com/ubuntu precise main
# deb-src http://extras.ubuntu.com/ubuntu precise main
deb http://download.webmin.com/download/repository sarge contrib
deb http://webmin.mirror.somersettechsoluti … repository sarge contrib

4

Re: iRedMail Broken Packages Error -- Tried to Reinstall Ubuntu 3 times.

I suggest you try it this way:

*) Install iRedMail first, and test it to make sure you have all services working as expected.
*) Upgrade Apache.